package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.List;


/**
 * 退款dto
 *
 * @author mac
 * @date 2024/04/08
 */
@Data
public class PayRefundDto {


    @ApiModelProperty(value= "当前操作人ID【自动获取】")
    private Integer operatorId;

    @ApiModelProperty(value= "当前操作人名称【自动获取】")
    private String operatorName;

    @ApiModelProperty(value= "所属租户ID【自动获取】")
    private Integer tenantId;

    @ApiModelProperty(value="支付单号")
    private String payOrderNo;

    @ApiModelProperty(value="应退金额")
    private BigDecimal refundableAmount;

    @ApiModelProperty(value="退款金额")
    @NotBlank(message = "退款金额")
    private BigDecimal refundAmount;

    @ApiModelProperty(value= "退款方式【1.原路退款】")
    private Integer refundMethod;

    @ApiModelProperty(value="退款原因")
    private String reasonForRefund;

    @ApiModelProperty(value="订单号List")
    private List<String> orderNoList;

    @ApiModelProperty(value="交易单号")
    private String transactionNumber;
}
